microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
パス パラメーター
name
string
必須
The name of the resource
version
string
必須
The specific version id of the DatasetVersion to operate on.
応答
The request has succeeded.
本文
Content-Type: application/json
blobReference
BlobReference
必須
Blob reference details.
blobUri
string
必須
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
必須
ARM ID of the storage account to use.
credential
SasCredential
必須
SAS Credential definition
sasUri
string
必須
SAS uri
type
enum
必須
Type of credential
SAS
要求
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json